## java-gnome 2.6.0.1

=== doc-core/Makefile ===
################################################################################
# This file is automatically generated by ./genMakefile.in 
# from Makefile.in.in and other sources linked from there. Do not edit directly
################################################################################

# This file is part of Java-GNOME.
#
# Java-GNOME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Java-GNOME is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Java-GNOME; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
version=2.6.0
apiversion=2.6
gtkversion=2.4.0
gtkapiversion=2.4
vteversion=0.11.10
vteapiversion=0.11

top_srcdir=..
srcdir=.

# Directories for configure.  Will remove the redundant ones when we know where
# to install the files.
prefix=/home/debian/java-gnome/java-gnome-2.6.0.1/debian/tmp/usr
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${prefix}/lib/jni
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com

INSTALL=/usr/bin/install -c
JG_DOC_DIR=../

# Set Java related stuff
JAVADOC = /usr/bin/javadoc
JAVAC = /usr/bin/javac
JAVA = /usr/bin/java
JAR = /usr/bin/jar

DOCBOOK = /usr/bin/db2html

all: faq 


faq: build-faq/index.html
build-faq/index.html: doc/FAQ.sgml
	-mkdir build-faq
	$(DOCBOOK) -o build-faq doc/FAQ.sgml

SOURCE_PATH:=../gtk/src/java/org/gnu/gtk/*.java \
			../gtk/src/java/org/gnu/gtk/event/*.java \
				../glib/src/java/org/gnu/glib/*.java \
				../gdk/src/java/org/gnu/gdk/*.java \
				../pango/src/java/org/gnu/pango/*.java \
				../atk/src/java/org/gnu/atk/*.java
SOURCES:= $(shell /bin/ls $(SOURCE_PATH) ) 

## IF YOU MODIFY JAVADOC CREATION, PLEASE ALSO MODIFY IT IN THE BUILD SCRIPT ###
JAVADOC_OPTIONS=-public -use -version -author
JAVADOC_FOOTER="Please send any bug reports, comments, or suggestions for the API or documentation to <a href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@lists.sf.net</a>"
# API documentation is generated by the build scripts for the tarballs. This
# target should only be used from cvs (and in fact will only work from cvs)
api: $(SOURCES)
	-mkdir -pv api 
	-rm -rf api/* 
	$(JAVADOC) \
		-d api \
		-sourcepath ../gtk/src/java:../gdk/src/java:../glib/src/java:../pango/src/java:../atk/src/java: \
		$(JAVADOC_OPTIONS) \
		-windowtitle "Java-Gnome $(apiversion) API Reference" \
		-doctitle "Java-Gnome $(apiversion) API Reference" \
		-footer $(JAVADOC_FOOTER) \
		org.gnu.glib \
		org.gnu.pango \
		org.gnu.atk \
		org.gnu.gdk \
		org.gnu.gtk \
		org.gnu.gtk.event 


# Install targets
install: faq 
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/core/
	$(INSTALL) -m644 build-faq/index.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/core/faq.html
	$(INSTALL) -m644 tutorial/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/core/
	# TODO: create a makefile in the following place, linking to the jar files,
	# setting ld-library-path, etc. as determined by the configure script.
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/atk/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gdk/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/glib/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/event
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/event/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/pango/class-use
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/resources
	$(INSTALL) -m644 api/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/
	$(INSTALL) -m644 api/*.css $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/
	$(INSTALL) -m644 api/package-list $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/
	$(INSTALL) -m644 api/org/gnu/atk/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/atk/
	$(INSTALL) -m644 api/org/gnu/atk/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/atk/class-use/
	$(INSTALL) -m644 api/org/gnu/gdk/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gdk/
	$(INSTALL) -m644 api/org/gnu/gdk/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gdk/class-use/
	$(INSTALL) -m644 api/org/gnu/glib/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/glib/
	$(INSTALL) -m644 api/org/gnu/glib/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/glib/class-use/
	$(INSTALL) -m644 api/org/gnu/gtk/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/
	$(INSTALL) -m644 api/org/gnu/gtk/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/class-use/
	$(INSTALL) -m644 api/org/gnu/gtk/event/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/event/
	$(INSTALL) -m644 api/org/gnu/gtk/event/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/gtk/event/class-use/
	$(INSTALL) -m644 api/org/gnu/pango/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/pango/
	$(INSTALL) -m644 api/org/gnu/pango/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/org/gnu/pango/class-use/
	$(INSTALL) -m644 api/resources/* $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/core/resources/
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/alignment
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/appication
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/aspectframe
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/base
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/buttonbox
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/buttons
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/calendar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/checkbutton
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/dataTable
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/draganddrop
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/editor
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/entry
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/fileselector
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/fixed
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/frame
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/html
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/image
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/invisible
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/mandel
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/notebook
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/packbox
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/paned
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/progressbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/radiobuttons
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/rangewidgets
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/scale
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/scrolledwin
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/spinbutton
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/statusbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/stockicons
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/table
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/testgtk
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/text
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/textbuffer
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/tree
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/treestore
	$(INSTALL) -m644 examples/alignment/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/alignment
	$(INSTALL) -m644 examples/application/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/application
	$(INSTALL) -m644 examples/aspectframe/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/aspectframe
	$(INSTALL) -m644 examples/base/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/base
	$(INSTALL) -m644 examples/buttonbox/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/buttonbox
	$(INSTALL) -m644 examples/buttons/*.java examples/buttons/*.xpm $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/buttons
	$(INSTALL) -m644 examples/calendar/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/calendar
	$(INSTALL) -m644 examples/checkbutton/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/checkbutton
	$(INSTALL) -m644 examples/dataTable/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/dataTable
	$(INSTALL) -m644 examples/draganddrop/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/draganddrop
	$(INSTALL) -m644 examples/editor/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/editor
	$(INSTALL) -m644 examples/entry/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/entry
	$(INSTALL) -m644 examples/fileselector/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/fileselector
	$(INSTALL) -m644 examples/fixed/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/fixed
	$(INSTALL) -m644 examples/frame/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/frame
	$(INSTALL) -m644 examples/html/*.java examples/html/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/html
	$(INSTALL) -m644 examples/image/*.java examples/image/*.xpm $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/image
	$(INSTALL) -m644 examples/invisible/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/core/invisible

=== doc-glade/Makefile ===
################################################################################
# This file is automatically generated by ./genMakefile.in 
# from Makefile.in.in and other sources linked from there. Do not edit directly
################################################################################

# This file is part of Java-GNOME.
#
# Java-GNOME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Java-GNOME is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Java-GNOME; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
version=2.6.0
apiversion=2.6
gtkversion=2.4.0
gtkapiversion=2.4
vteversion=0.11.10
vteapiversion=0.11

top_srcdir=..
srcdir=.

# Directories for configure.  Will remove the redundant ones when we know where
# to install the files.
prefix=/home/debian/java-gnome/java-gnome-2.6.0.1/debian/tmp/usr
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${prefix}/lib/jni
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com

INSTALL=/usr/bin/install -c
JG_DOC_DIR=../

# Set Java related stuff
JAVADOC = /usr/bin/javadoc
JAVAC = /usr/bin/javac
JAVA = /usr/bin/java
JAR = /usr/bin/jar

DOCBOOK = /usr/bin/db2html

all: api

	
SOURCE_PATH:=../glade/src/java/org/gnu/glade/*.java 
SOURCES:= $(shell /bin/ls $(SOURCE_PATH) ) 

## IF YOU MODIFY JAVADOC CREATION, PLEASE ALSO MODIFY IT IN THE BUILD SCRIPT ###
JAVADOC_OPTIONS=-public -use -version -author
JAVADOC_FOOTER="Please send any bug reports, comments, or suggestions for the API or documentation to <a href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@lists.sf.net</a>"
# API documentation is generated by the build scripts for the tarballs. This
# target should only be used from cvs (and in fact will only work from cvs)
api: $(SOURCES)
	-mkdir -pv api 
	-rm -rf api/* 
	$(JAVADOC) \
		-d api \
		-sourcepath ../glade/src/java:../gnome/src/java:../gtk/src/java:../atk/src/java:../gdk/src/java:../pango/src/java:../glib/src/java: \
		$(JAVADOC_OPTIONS) \
		-windowtitle "Java-Gnome $(apiversion) GLADE API Reference" \
		-doctitle "Java-Gnome $(apiversion) GLADE API Reference" \
		-footer $(JAVADOC_FOOTER) \
		-linkoffline $(DESTDIR)$(datadir)/java-gnome-$(apiversion)/api/gtk/ ../doc-core/api/ \
		-linkoffline $(DESTDIR)$(datadir)/java-gnome-$(apiversion)/api/gnome/ ../doc-gnome/api/ \
		org.gnu.glade

# Install targets
install: 
	# TODO: create a makefile in the following place, linking to the jar files,
	# setting ld-library-path, etc. as determined by the configure script.
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/org/gnu/glade/class-use/
	$(INSTALL) -m644 api/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/
	$(INSTALL) -m644 api/*.css $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/
	$(INSTALL) -m644 api/package-list $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/
	$(INSTALL) -m644 api/org/gnu/glade/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/org/gnu/glade/
	$(INSTALL) -m644 api/org/gnu/glade/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/glade/org/gnu/glade/class-use/
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade/clock
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade-gnome
	$(INSTALL) -m644 examples/glade/*.* $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade
	$(INSTALL) -m644 examples/glade/clock/*.* $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade/clock
	$(INSTALL) -m644 examples/glade-gnome/*.* $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/glade-gnome
	-for f in $(DOCUMENTS); do $(INSTALL) -m644 $(JG_DOC_DIR)/$$f $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion) || exit 1; done
	

# Uninstall targets
uninstall: 
	rm -rf $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/glade

native_install: install
native_uninstall: uninstall

clean:
	-rm -rf api

mostlyclean:
distclean: clean
maintainer-clean: distclean

=== doc-gnome/Makefile ===
################################################################################
# This file is automatically generated by ./genMakefile.in 
# from Makefile.in.in and other sources linked from there. Do not edit directly
################################################################################

# This file is part of Java-GNOME.
#
# Java-GNOME is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# Java-GNOME is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Java-GNOME; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#
version=2.6.0
apiversion=2.6
gtkversion=2.4.0
gtkapiversion=2.4
vteversion=0.11.10
vteapiversion=0.11

top_srcdir=..
srcdir=.

# Directories for configure.  Will remove the redundant ones when we know where
# to install the files.
prefix=/home/debian/java-gnome/java-gnome-2.6.0.1/debian/tmp/usr
exec_prefix=${prefix}
datadir=${prefix}/share
bindir=${exec_prefix}/bin
includedir=${prefix}/include
infodir=${prefix}/share/info
libdir=${prefix}/lib/jni
libexecdir=${exec_prefix}/libexec
localstatedir=${prefix}/var
mandir=${prefix}/share/man
sharedstatedir=${prefix}/com

INSTALL=/usr/bin/install -c
JG_DOC_DIR=../

# Set Java related stuff
JAVADOC = /usr/bin/javadoc
JAVAC = /usr/bin/javac
JAVA = /usr/bin/java
JAR = /usr/bin/jar

DOCBOOK = /usr/bin/db2html

all: tutorial api

tutorial: build-tutorial/index.html
build-tutorial/index.html: doc/GNOME-tutorial.sgml
	-mkdir build-tutorial
	$(DOCBOOK) -o build-tutorial doc/GNOME-tutorial.sgml
	
SOURCE_PATH:=../gnome/src/java/org/gnu/gnome/*.java \
			../gnome/src/java/org/gnu/gnome/event/*.java 
SOURCES:= $(shell /bin/ls $(SOURCE_PATH) ) 

## IF YOU MODIFY JAVADOC CREATION, PLEASE ALSO MODIFY IT IN THE BUILD SCRIPT ###
JAVADOC_OPTIONS=-public -use -version -author
JAVADOC_FOOTER="Please send any bug reports, comments, or suggestions for the API or documentation to <a href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@lists.sf.net</a>"
# API documentation is generated by the build scripts for the tarballs. This
# target should only be used from cvs (and in fact will only work from cvs)
api: $(SOURCES)
	-mkdir -pv api 
	-rm -rf api/* 
	$(JAVADOC) \
		-d api \
		-sourcepath ../gnome/src/java:../gtk/src/java:../atk/src/java:../gdk/src/java:../pango/src/java:../glib/src/java: \
		$(JAVADOC_OPTIONS) \
		-windowtitle "Java-Gnome $(apiversion) GNOME API Reference" \
		-doctitle "Java-Gnome $(apiversion) GNOME API Reference" \
		-footer $(JAVADOC_FOOTER) \
		-linkoffline $(DESTDIR)$(datadir)/java-gnome-$(apiversion)/api/core/ ../doc-core/api/ \
		org.gnu.gnome \
		org.gnu.gnome.event || true

# Install targets
install: tutorial api
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/gnome/
	cp build-tutorial/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/gnome/
	# TODO: create a makefile in the following place, linking to the jar files,
	# setting ld-library-path, etc. as determined by the configure script.
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/class-use/
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/event/
	$(INSTALL) -m644 api/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/
	$(INSTALL) -m644 api/*.css $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/
	$(INSTALL) -m644 api/package-list $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/
	$(INSTALL) -m644 api/org/gnu/gnome/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/
	$(INSTALL) -m644 api/org/gnu/gnome/class-use/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/class-use/
	$(INSTALL) -m644 api/org/gnu/gnome/event/*.html $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/api/gnome/org/gnu/gnome/event/
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/app
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/appbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/colorpicker
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/dateedit
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/druid
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/entry
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/fileentry
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/fontpick
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gconf
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomeconfig
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomesound
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomeurl
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/href
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/iconentry
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/popupmenu
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/radiomenu
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/radiotoolbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/simplemenu
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/stockmenu
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/stocktoolbar
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/testgnome
	-$(INSTALL) -d -m755 $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/vte
	$(INSTALL) -m644 examples/app/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/app
	$(INSTALL) -m644 examples/appbar/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/appbar
	$(INSTALL) -m644 examples/colorpicker/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/colorpicker
	$(INSTALL) -m644 examples/dateedit/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/dateedit
	$(INSTALL) -m644 examples/druid/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/druid
	$(INSTALL) -m644 examples/entry/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/entry
	$(INSTALL) -m644 examples/fileentry/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/fileentry
	$(INSTALL) -m644 examples/fontpick/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/fontpick
	$(INSTALL) -m644 examples/gconf/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gconf
	$(INSTALL) -m644 examples/gnomeconfig/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomeconfig
	$(INSTALL) -m644 examples/gnomesound/*.java examples/gnomesound/*.wav $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomesound
	$(INSTALL) -m644 examples/gnomeurl/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/gnomeurl
	$(INSTALL) -m644 examples/href/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/href
	$(INSTALL) -m644 examples/iconentry/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/iconentry
	$(INSTALL) -m644 examples/popupmenu/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/popupmenu
	$(INSTALL) -m644 examples/radiomenu/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/radiomenu
	$(INSTALL) -m644 examples/radiotoolbar/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/radiotoolbar
	$(INSTALL) -m644 examples/simplemenu/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/simplemenu
	$(INSTALL) -m644 examples/stockmenu/*.java examples/stockmenu/*.dat $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/stockmenu
	$(INSTALL) -m644 examples/stocktoolbar/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/stocktoolbar
	$(INSTALL) -m644 examples/testgnome/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/testgnome
	$(INSTALL) -m644 examples/vte/*.java $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/examples/gnome/vte
	-for f in $(DOCUMENTS); do $(INSTALL) -m644 $(JG_DOC_DIR)/$$f $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion) || exit 1; done
	

# Uninstall targets
uninstall: 
	rm -rf $(DESTDIR)$(datadir)/doc/java-gnome-$(apiversion)/doc/core

native_install: install
native_uninstall: uninstall

clean:
	-rm -rf build-faq
	-rm -rf api


mostlyclean:
distclean: clean
maintainer-clean: distclean

## java-gnome 4.0.7

=== Makefile ===
#
# Makefile, part of Equivalence
#
# Copyright (c) 2006-2008 Operational Dynamics Consulting Pty Ltd, and Others 
# 
# The code in this file, and the library it is a part of, are made available
# to you by the authors under the terms of the "GNU General Public Licence,
# version 2". See the LICENCE file for the terms governing usage and
# redistribution.
#

ifdef V
else
MAKEFLAGS=-s
REDIRECT=>/dev/null
endif

-include .config

all: build-java

.PHONY: test demo doc clean distclean install


# --------------------------------------------------------------------
# Source compilation
# --------------------------------------------------------------------

build-java:
	build/faster

# --------------------------------------------------------------------
# Install (run as root, or specify DESTDIR on Make command line)
# --------------------------------------------------------------------

install: build-java install-dirs install-java
	rm $(DESTDIR)$(PREFIX)/.java-gnome-install-dirs

install-dirs: $(DESTDIR)$(PREFIX)/.java-gnome-install-dirs
$(DESTDIR)$(PREFIX)/.java-gnome-install-dirs:
	@test -d $(DESTDIR)$(PREFIX)/share/java || echo -e "MKDIR\tinstallation directories"
	-mkdir -p $(DESTDIR)$(PREFIX)
	-touch $@ 2>/dev/null
	test -w $@ || ( echo -e "\nYou don't seem to have write permissions to $(DESDIR)$(PREFIX)\nPerhaps you need to be root?\n" && exit 7 )
	mkdir -p $(DESTDIR)$(PREFIX)/share/java
	mkdir -p $(DESTDIR)$(LIBDIR)

install-java: build-java \
	$(DESTDIR)$(PREFIX)/share/java/gtk-$(APIVERSION).jar \
	$(DESTDIR)$(LIBDIR)/libgtkjni-$(APIVERSION).so

$(DESTDIR)$(PREFIX)/share/java/gtk-$(APIVERSION).jar: tmp/gtk-$(APIVERSION).jar
	@echo -e "INSTALL\t$@"
	cp -f $< $@
	@echo -e "SYMLINK\t$(@D)/gtk.jar -> gtk-$(APIVERSION).jar"
	cd $(@D) && rm -f gtk.jar && ln -s gtk-$(APIVERSION).jar gtk.jar
	
$(DESTDIR)$(LIBDIR)/libgtkjni-$(APIVERSION).so: tmp/libgtkjni-$(APIVERSION).so
	@echo -e "INSTALL\t$@"
	cp -f $< $@


# --------------------------------------------------------------------
# Tests
# --------------------------------------------------------------------

test:
	build/faster test

demo:
	build/faster demo

# --------------------------------------------------------------------
# Documentation generation
# --------------------------------------------------------------------

ifdef V
else
JAVADOC:=$(JAVADOC) -quiet
endif

doc:
	@echo "$(JAVADOC_CMD) doc/api/*.html"
	$(JAVADOC) \
		-d doc/api \
		-classpath tmp/bindings \
		-public \
		-nodeprecated \
		-source 1.5 \
		-notree \
		-noindex \
		-nohelp \
		-version \
		-author \
		-windowtitle "java-gnome $(APIVERSION) API Documentation" \
		-doctitle "<h1>java-gnome $(APIVERSION) API Documentation</h1>" \
		-header "java-gnome version $(VERSION)" \
		-footer "<img src=\"/images/java-gnome_JavaDocLogo.png\" style=\"padding-right:25px;\"><br> <span style=\"font-family: Arial; font-style: normal; font-size: large;\">java-gnome</span>" \
		-breakiterator \
		-stylesheetfile src/bindings/stylesheet.css \
		-overview src/bindings/overview.html \
		-sourcepath src/bindings \
		-subpackages org \
		$(REDIRECT)


#
# Remember that if you bump the version number you need to commit the change
# and re-./configure before being able to run this! On the other hand, we
# don't have to distclean before calling this.
#
dist: all
	@echo -e "CHECK\tfully committed state"
	bzr diff > /dev/null || ( echo -e "\nYou need to commit all changes before running make dist\n" ; exit 4 )
	@echo -e "EXPORT\ttmp/java-gnome-$(VERSION)"
	-rm -rf tmp/java-gnome-$(VERSION)
	bzr export --format=dir tmp/java-gnome-$(VERSION)
	@echo -e "RM\tnon essential files"
	rm -r tmp/java-gnome-$(VERSION)/lib
	rm -r tmp/java-gnome-$(VERSION)/web
	rm    tmp/java-gnome-$(VERSION)/.aspell.en.pws
	@echo -e "TAR\tjava-gnome-$(VERSION).tar.bz2"
	tar cjf java-gnome-$(VERSION).tar.bz2 -C tmp java-gnome-$(VERSION)
	rm -r tmp/java-gnome-$(VERSION)

clean:
	@echo -e "RM\tgenerated code"
	rm -rf generated/bindings/*
	@echo -e "RM\tcompiled output"
	rm -rf tmp/generator/ tmp/bindings/ tmp/tests/
	rm -rf tmp/include/ tmp/objects/
	rm -rf tmp/i18n/ tmp/locale/
	@echo -e "RM\ttemporary files"
	rm -rf tmp/stamp/
	rm -f hs_err_*
	@echo -e "RM\tbuilt .jar and .so"
	rm -f tmp/gtk-*.jar \
		tmp/libgtkjni-*.so \
		tmp/libgtkjava-*.so

distclean: clean
	@echo -e "RM\tbuild configuration information"
	-rm -f .config .config.tmp
	@echo -e "RM\tgenerated documentation"
	-rm -rf doc/api/*
	-rm -f java-gnome-*.tar.bz2
	@echo -e "RM\ttemporary directories"
	-rm -rf tmp generated
	@echo -e "RM\tglade cruft"
	find . -name '*.glade.bak' -o -name '*.gladep*' -type f | xargs rm -f

# vim: set filetype=make textwidth=78 nowrap:

## java-gnome 4.0.15

=== debian/changelog ===
java-gnome (4.0.15-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Change maintainers into Maintainers.
  * Remove Thomas from Uploaders.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 21:28:43 +0200

java-gnome (4.0.14-2) unstable; urgency=low

  * debian/patches/01_take_screenshots.diff
    - Disable the file chooser dialog again as it still causes FTBFS on buildd.
      (Closes: #564494) 
  * debian/rules
    - Add verbosity to build log if architecture is hppa. This will help us
      track down cause of FTBFS on hppa.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 16 Jan 2010 19:19:07 +0530

java-gnome (4.0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
    - Add compiler flag -ffunction-sections if the architecture is hppa. Fixes
      FTBFS on hppa. (Closes: #558999)
  * debian/patches/01_take_screenshots.diff
    - Revert the commenting of the code that launches file chooser dialog.
      Not needed anymore as the glib bug that caused the FTBFS is fixed.
  * debian/copyright
    - Rewrite file according to DEP-5. Clarify licensing of some files which
      are not part of the runtime.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 28 Dec 2009 15:50:27 +0530

java-gnome (4.0.13-3) unstable; urgency=low

  * debian/rules
    - Do not build docs on anything other than i386, amd64, powerpc.
      Fixes FTBFS on Debian as well as Ubuntu buildd.
  * debian/control
    - Add 'DM-Upload-Allowed: yes' so that I can upload the package when I
      become DM. :-)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 21 Sep 2009 20:06:40 +0530

java-gnome (4.0.13-2) unstable; urgency=low

  * debian/patches/01_take_screenshots.diff
    - Comment out the code that launches file chooser dialog. It caused build
      failure on buildd. (Closes: #546313)

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 17 Sep 2009 23:24:56 +0530

java-gnome (4.0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Add cdbs build-dependency.
    - Bump GTK+ build dependency version as per upstream.
    - Add build dependencies xvfb, xfonts-base, metacity, hicolor-icon-theme.
      These are needed for screenshot generation during build.
    - Add a -doc package which contains API documentation. (LP: #309023)
    - Remove ${shlibs:Depends} dependency for -java package.
    - Add myself to uploaders.
    - Change standard version to 3.8.3.
  * debian/rules
    - Rewrite to build using cdbs. The file is simplified and very small now.
    - Add configure argument specifying jni directory.
  * debian/libjava-gnome-*.install
    - Add files to use with cdbs.
  * debian/patches/01_change_jni_library_location.diff
    - Removed. Not needed anymore.
  * debian/patches/01_take_screenshots.diff
    - Small changes to upstream code that takes screenshots during build
      process. The patch makes sure the process works inside pbuilder chroot.
  * debian/README.source
    - Add to comply with policy.
  * debian/watch
    - Make regular expression more compact.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 07 Sep 2009 12:29:11 +0530

java-gnome (4.0.12-1) unstable; urgency=low
  
  [ Manu Mahajan ]
  * Update to latest upstream release 4.0.12 (LP: #380446)
  * Split the binary package into two separate packages for java and jni files

  [ Onkar Shinde ]
  * debian/control
    - Add various build dependencies as specified in configure file in upstream
      source.
    - Remove build dependency default-jdk-builddep. We do not build any -gcj
      package.
    - Add default-jre | java5-runtime as dependency since the target JVM
      version is 1.5.
  * debian/rules
    - Remove the hard coded version of jni .so file.

  [ Torsten Werner ]
  * Change Section: java.
  * Add get-orig-source target to debian/rules.
  * Minor fix in debian/copyright: do not refer to unversioned GPL file.

 -- Torsten Werner <twerner@debian.org>  Thu, 20 Aug 2009 20:22:27 +0200

java-gnome (4.0.9-2) unstable; urgency=low

  [ Manu Mahajan ]
  * Merged changes from Ubuntu package(4.0.9-1) courtesy of Hannes Wallnoefer

 -- Manu Mahajan <manu@codepencil.com>  Sat, 20 Dec 2008 22:45:00 +0530

java-gnome (4.0.9-1) unstable; urgency=low

  [ Hannes Wallnoefer ]
  * New upstream release 4.0.9
  * Remove Cairo export patch, bug has been fixed upstream 
    (Gnome bug #528282)

 -- Hannes Wallnoefer <hannes@helma.at>  Wed, 03 Dec 2008 23:49:59 +0100

java-gnome (4.0.7-1) unstable; urgency=low

  [ Manu Mahajan ]
  * Upgraded to upstream version 4.0.7
  * Changed build dependency from java-gcj-compat-dev to default-jdk-builddep
    Closes: #477867

  [ Thomas Girard ]
  * Switch to quilt for patch management
  * Add Vcs-*: fields to debian/control
  * Add Homepage: field to debian/control
  * Apply patch to prevent export of Cairo backend functions. Thanks to
    Loïc Minier for his invaluable help on this FTBFS bug. Closes: #476295
  * Remove markdown section from debian/copyright; it's no longer distributed
    in the tarball.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 10 May 2008 13:57:29 +0000

java-gnome (4.0.6-1) unstable; urgency=low

  [ Manu Mahajan ]
  * Initial release, Closes: Bug#467442
  * Changed location of libgtkjni from usr/lib to usr/lib/jni
  * Tweaked the MakeFile to build with java-gcj-compat-dev

  [ Thomas Girard ]
  * Backport changeset 449: "Remove 15 warnings related to sentinels"

 -- Manu Mahajan <manu@codepencil.com>  Mon, 24 Mar 2008 01:01:11 +0530

=== debian/control ===
Source: java-gnome
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Manu Mahajan <manu@codepencil.com>, Onkar Shinde <onkarshinde@ubuntu.com>
Build-Depends: debhelper (>= 5), cdbs, default-jdk, junit, libgtk2.0-dev (>= 2.16), libpango1.0-dev (>= 1.22), libgtksourceview2.0-dev (>= 2.6.1), libnotify-dev (>= 0.4.5), libgtkspell-dev (>= 2.0.13), libunique-dev (>= 1.0.8), libglade2-dev, xvfb, xfonts-base, metacity, hicolor-icon-theme
Standards-Version: 3.8.4
Section: java
Homepage: http://java-gnome.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-gnome
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-gnome
DM-Upload-Allowed: yes

Package: libjava-gnome-java
Architecture: all
Depends: ${misc:Depends}, default-jre | java5-runtime, libjava-gnome-jni
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust 
 engineering design, completely generated internals, a lovingly crafted 
 layer presenting the public API, and steadily increasing coverage of 
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for 
 Linux applications so that they richly integrate with the GNOME Desktop 
 while leveraging the power of the Java language and your expertise with 
 it.

Package: libjava-gnome-jni
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libjava-gnome-java (<< 4.0.11)
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust 
 engineering design, completely generated internals, a lovingly crafted 
 layer presenting the public API, and steadily increasing coverage of 
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for 
 Linux applications so that they richly integrate with the GNOME Desktop 
 while leveraging the power of the Java language and your expertise with 
 it.

Package: libjava-gnome-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjava-gnome-java
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust 
 engineering design, completely generated internals, a lovingly crafted 
 layer presenting the public API, and steadily increasing coverage of 
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for 
 Linux applications so that they richly integrate with the GNOME Desktop 
 while leveraging the power of the Java language and your expertise with 
 it.
 .
 This package contains the API documentation.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/java-gnome/([\d\.]+)/java-gnome-([\d\.]+)\.tar\.gz debian

## java-gnome 4.0.19

=== debian/changelog ===
java-gnome (4.0.19-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #596252) (Forwarded: Debian: 588943)
  * debian/control
    - Update dependencies version according to the upstream configure file.
    - Update Standards-Version to 3.9.1.
    - Sync JNI and JAR packages.
  * debian/copyright
    - Update copyright to 2011.
  * debian/patches/01_take_screenshots.diff
    - Fix patch to make doc screenshots works.
  * debian/patches/02_javadoc_workaround.patch
    - Fix javadoc generation.

 -- Guillaume Mazoyer <respawneral@gmail.com>  Fri, 18 Feb 2011 17:46:52 +0100

=== debian/control ===
Source: java-gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Manu Mahajan <manu@codepencil.com>,
           Onkar Shinde <onkarshinde@ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 5),
               default-jdk,
               hicolor-icon-theme,
               junit,
               libatk1.0-dev,
               libcairo2-dev (>= 1.10),
               libenchant-dev,
               libglade2-dev,
               libglib2.0-dev (>= 2.22),
               libgtk2.0-dev (>= 2.22),
               libgtksourceview2.0-dev (>= 2.6.1),
               libgtkspell-dev (>= 2.0.15),
               libnotify-dev (>= 0.4.5),
               libpango1.0-dev (>= 1.28),
               librsvg2-dev (>= 2.32),
               libunique-dev (>= 1.0.8),
               metacity,
               quilt,
               xfonts-base,
               xvfb
Standards-Version: 3.9.1
Section: java
Homepage: http://java-gnome.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/java-gnome
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/java-gnome
DM-Upload-Allowed: yes

Package: libjava-gnome-java
Architecture: all
Depends: default-jre | java5-runtime,
         libjava-gnome-jni (>= ${source:Version}),
         ${misc:Depends}
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.

Package: libjava-gnome-jni
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libjava-gnome-java (<< 4.0.11)
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.

Package: libjava-gnome-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjava-gnome-java
Description: The java-gnome language bindings project
 These are the Java bindings for GTK+ and GNOME! Featuring a robust
 engineering design, completely generated internals, a lovingly crafted
 layer presenting the public API, and steadily increasing coverage of
 the underlying libraries.
 .
 You can use java-gnome to develop sophisticated user interfaces for
 Linux applications so that they richly integrate with the GNOME Desktop
 while leveraging the power of the Java language and your expertise with
 it.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=/usr/lib/jni jdk=/usr/lib/jvm/default-java
ifneq (,$(filter $(DEB_HOST_ARCH), i386 amd64 powerpc))
DEB_MAKE_ENVVARS += DISPLAY=":99"
DEB_MAKE_BUILD_TARGET += doc
endif
ifneq (,$(filter $(DEB_HOST_ARCH), hppa))
DEB_MAKE_ENVVARS += V=1
CFLAGS += -ffunction-sections
endif

get-orig-source:
	uscan --force-download --rename

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/java-gnome/([\d\.]+)/java-gnome-([\d\.]+)\.tar\.gz debian uupdate
